<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="keyGen_blowfish" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2009-08-11 15:00:00 +0200 $</pubdate>
  </info>

  <refnamediv>
    <refname>keyGen_blowfish</refname>

    <refpurpose>Génère toutes les clés utiles aux chiffrements Blowfish</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>keyGen_blowfish("myKey", "myIV", "myPublicKey", "myPrivateKey")</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>Cette fonction génère une clé 128 bits, un vecteur d'initialisation 128 bits IV, une clé publique RSA et une clé privée RSA. Ceux-ci sont créés sous forme de 4 fichiers texte dont les noms doivent être spécifiés en arguments de la fonction.</para>

  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example">keyGen_blowfish("myKey", "myIV", "myPublicKey", "myPrivateKey");</programlisting>
  </refsection>

  <refsection>
    <title>Auteurs</title>

    <simplelist type="vert">
      <member>Florent Lebeau</member>
    </simplelist>
  </refsection>
</refentry>

